<template>
  <svg
    width="427"
    height="161"
    viewBox="0 0 427 161"
    xmlns="http://www.w3.org/2000/svg"
  >
    <path
      class="desk fill-current"
      :class="$props.color['50']"
      d="M0 153.876C0 149.942 3.18947 146.752 7.12389 146.752H419.876C423.81 146.752 427 149.942 427 153.876V153.876C427 157.811 423.811 161 419.876 161H7.12391C3.1895 161 0 157.811 0 153.876V153.876Z"
    />
    <path
      class="cup-coaster fill-current"
      :class="$props.color['100']"
      d="M34.1599 145.327C34.1599 144.541 34.7978 143.903 35.5847 143.903H61.2018C61.9887 143.903 62.6266 144.541 62.6266 145.327V145.327C62.6266 146.114 61.9887 146.752 61.2018 146.752H35.5847C34.7978 146.752 34.1599 146.114 34.1599 145.327V145.327Z"
    />
    <rect
      class="mousepad fill-current"
      :class="$props.color['100']"
      x="281.82"
      y="145.327"
      width="71.1667"
      height="1.42477"
      rx="0.712387"
    />
    <rect
      class="monitor stroke-current stroke-2"
      :class="$props.color['100']"
      rx="4"
      x="119.137"
      y="1"
      width="187.303"
      height="107.708"
    />
    <g class="cup">
      <path
        class="stroke-current stroke-2"
        :class="$props.color['200']"
        d="M37.0066 106.858V131.436C37.0066 137.928 42.2639 143.19 48.7491 143.19C55.2343 143.19 60.4916 137.928 60.4916 131.436V106.858M61.9149 106.858H35.5833"
      />
      <path
        class="handle stroke-current stroke-2"
        :class="$props.color['200']"
        d="M62.9814 112.452L59.0988 116.727C58.607 117.269 58.2027 117.883 57.9003 118.549L55.544 123.738C55.075 124.771 55.123 125.966 55.6735 126.957L56.7048 128.816C57.4806 130.213 59.4392 130.347 60.3977 129.068C60.4603 128.984 60.5287 128.905 60.6024 128.832L65.4733 123.956L65.8908 123.454C67.8718 121.075 68.6388 117.912 67.9678 114.889L67.705 113.706C67.641 113.417 67.5309 113.141 67.3789 112.887C66.43 111.304 64.2223 111.085 62.9814 112.452Z"
      />
      <path
        class="fill-current"
        :class="$props.color['200']"
        d="M37.0066 131.436V106.858H60.4916V131.436C60.4916 137.928 55.2343 143.19 48.7491 143.19C42.2639 143.19 37.0066 137.928 37.0066 131.436Z"
      />
    </g>
    <rect
      class="magic-trackpad fill-current"
      :class="$props.color['200']"
      x="98.21"
      y="143.903"
      width="42.7"
      height="2.84955"
    />
    <g class="keyboard fill-current" :class="$props.color['200']">
      <rect
        class="fill-current"
        x="149.45"
        y="141.053"
        width="126.677"
        height="5.69911"
      />
      <rect x="150.873" y="136.779" width="8.53999" height="4.27434" />
      <rect x="160.837" y="136.779" width="8.53999" height="4.27434" />
      <rect x="170.8" y="136.779" width="8.53999" height="4.27434" />
      <rect x="233.427" y="136.779" width="5.69333" height="4.27434" />
      <rect x="240.543" y="136.779" width="5.69333" height="4.27434" />
      <rect x="247.66" y="136.779" width="5.69334" height="4.27434" />
      <rect x="254.777" y="136.779" width="5.69334" height="4.27434" />
      <rect x="261.893" y="136.779" width="5.69333" height="4.27434" />
      <rect x="269.01" y="136.779" width="5.69333" height="4.27434" />
      <rect x="180.763" y="136.779" width="51.24" height="4.27434" />
    </g>
    <path
      class="mouse fill-current stroke-current"
      :class="$props.color['200']"
      d="M311.71 139.628C316.834 139.628 318.589 143.428 318.827 145.327H304.593C304.83 143.428 306.586 139.628 311.71 139.628ZM311.71 139.628V138.204"
    />
    <g
      class="code-on-monitor fill-current"
      :class="$props.color['900']"
    >
      <rect x="125.253" y="9.97345" width="136.64" height="4.27434" />
      <rect x="125.253" y="18.5221" width="113.867" height="4.27433" />
      <rect x="125.253" y="27.0708" width="83.9767" height="4.27434" />
      <rect x="125.253" y="35.6195" width="58.3567" height="4.27434" />
      <rect x="125.253" y="44.1681" width="69.7433" height="4.27434" />
      <rect x="125.253" y="52.7168" width="98.21" height="4.27434" />
      <rect x="125.253" y="61.2655" width="51.24" height="4.27433" />
      <rect x="125.253" y="69.8142" width="79.7067" height="4.27434" />
      <rect x="125.253" y="78.3628" width="122.407" height="4.27433" />
      <rect x="125.253" y="86.9115" width="69.7433" height="4.27434" />
      <rect x="125.253" y="95.4602" width="34.16" height="4.27434" />
    </g>
  </svg>
</template>

<script lang="ts">
import {defineComponent, PropType} from "vue";

export interface Color {
  "50": string,
  "100": string,
  "200": string,
  "900": string,
}

export default defineComponent({
  props: {
    color: {
      type: Object as PropType<Color>,
      required: true,
    },
  },
});
</script>

<style scoped>
.monitor {
  fill: transparent;
}
.cup .handle {
  fill: transparent;
}
</style>
